"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectionError = void 0;
var tslib_1 = require("tslib");
var InjectionError = /** @class */ (function (_super) {
    tslib_1.__extends(InjectionError, _super);
    function InjectionError(message, token) {
        var _this = _super.call(this, message) || this;
        Object.setPrototypeOf(_this, InjectionError.prototype);
        _this.message = message;
        _this.name = 'InjectionError';
        _this.token = token;
        if (Error.captureStackTrace) {
            Error.captureStackTrace(_this, InjectionError);
        }
        return _this;
    }
    return InjectionError;
}(Error));
exports.InjectionError = InjectionError;
//# sourceMappingURL=injection-error.js.map